#!/bin/bash
#SBATCH --job-name=cfx-2023R2-case
#SBATCH --partition=batch
#SBATCH --ntasks-per-node=20
#SBATCH --nodes=1
#SBATCH --licenses=ansys@ansys.it.auth.gr:16
#SBATCH --time=10:00

# Load Ansys module
module load ansys/2023R2

# Define the hosts and distribution of the parallel proccess
nodes=$(srun hostname | sort | uniq -c| awk '{print $2 "*" $1}'|paste -sd,)

# Start CFX-Solver in Parallel
cfx5solve -batch -par-dist $nodes -def StaticMixer.def -start-method "Intel MPI SLURM"
